Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010724 [DCSS] Bug Report minor have not tried 2016-10-09 00:20 2018-03-19 01:06
Reporter damerell View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.18 ancient branch
Summary 0010724: Partly identified vampiric weapon not shown as Zin-forbidden
Description Worshipping Zin, I found an artifact falchion. I attempted to wield it to be told that it was vampiric and I was not Full. It was not then marked as Zin-forbidden in the inventory, even though it was marked {vamp} and AFAICT that's sufficient to know it is forbidden. (On full identification it was vamp, rPois; it was then marked as forbidden.)

I regret I don't know the source well enough to tell if this is already fixed in trunk.
Additional Information
Tags simple
Attached Files

- Relationships

-  Notes
(0031339)
stickyfingers (reporter)
2016-12-06 10:54

The item might still be usable for +Blink and such, so it's not known to be worthless.
(0031523)
damerell (reporter)
2017-03-07 03:50

Re stickyfingers' comment, the worthlessness or otherwise is not the issue. An identified vampiric +Blink weapon is still shown dark red, totally useless items are by default dark grey, and this item isn't totally useless even if using it would be a very bad idea.
(0032072)
wheals (administrator)
2018-01-30 16:48

Fixed in https://github.com/crawl/crawl/commit/fbf05e55dfdd [^]
(0032121)
damerell (reporter)
2018-03-19 01:06

Thanks

- Issue History
Date Modified Username Field Change
2016-10-09 00:20 damerell New Issue
2016-10-09 00:43 PleasingFungus Tag Attached: simple
2016-10-09 00:46 PleasingFungus Status new => confirmed
2016-12-06 10:54 stickyfingers Note Added: 0031339
2017-03-07 03:50 damerell Note Added: 0031523
2018-01-30 16:48 wheals Note Added: 0032072
2018-01-30 16:48 wheals Status confirmed => resolved
2018-01-30 16:48 wheals Fixed in Branch => 0.22 development branch
2018-01-30 16:48 wheals Resolution open => done
2018-01-30 16:48 wheals Assigned To => wheals
2018-03-19 01:06 damerell Note Added: 0032121
2018-03-19 01:06 damerell Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker